# Interface CsrfPreventionFilter.NonceCache<T>

Type Parameters:
  `T` - The type of nonce stored in the cache

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `CsrfPreventionFilter.LruCache`

Enclosing class:
  `CsrfPreventionFilter`

protected static interface CsrfPreventionFilter.NonceCache<T> extends Serializable
Interface for a cache of nonces used for CSRF protection.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(T nonce)`
Add a nonce to the cache.
`boolean`
`contains(T nonce)`
Check if the cache contains the given nonce.

## Method Details

### add

void add(T nonce)
Add a nonce to the cache.

Parameters:
  `nonce` - The nonce to add

### contains

boolean contains(T nonce)
Check if the cache contains the given nonce.

Parameters:
  `nonce` - The nonce to check
Returns:
  `true` if the nonce is in the cache